<?php

namespace Drupal\cc_account\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityChangedInterface;
use Drupal\Core\Entity\EntityPublishedInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface defining a cryptocurrency account entity type.
 */
interface CcAccountInterface extends ContentEntityInterface, EntityChangedInterface, EntityPublishedInterface, EntityOwnerInterface {

  /**
   * Gets the cryptocurrency account label.
   *
   * @return string
   *   Label of the cryptocurrency account.
   */
  public function getLabel();

  /**
   * Sets the cryptocurrency account label.
   *
   * @return \Drupal\cc_account\Entity\CcAccountInterface
   *   The called cryptocurrency account entity.
   */
  public function setLabel();

}
